com.holonplatform.core.query

## Interface PropertySetProjection

- All Superinterfaces:
    Expression, QueryProjection<PropertyBox>, TypedExpression<PropertyBox>

      public interface PropertySetProjection
      extends QueryProjection<PropertyBox>

  A `QueryProjection` which uses a `PropertySet` to define the projection selection and returns `PropertyBox` type results.
  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertySet<?>` | `getPropertySet()` Get the projection property set
    `default Class<? extends PropertyBox>` | `getType()` Get the expression type.
    `static <P extends Property> PropertySetProjection` | `of(Iterable<P> properties)` Create a PropertySetProjection using given `properties`
    `static PropertySetProjection` | `of(PropertySet<?> propertySet)` Create a PropertySetProjection using given `propertySet`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `getTemporalType, isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getPropertySet

          PropertySet<?> getPropertySet()

      Get the projection property set
      Returns:
        Projection property set

    - #### getType

          default Class<? extends PropertyBox> getType()

      Description copied from interface: `TypedExpression`
      Get the expression type.
      Specified by:
        `getType` in interface `TypedExpression<PropertyBox>`
      Returns:
        Expression type

    - #### of

          static PropertySetProjection of(PropertySet<?> propertySet)

      Create a PropertySetProjection using given `propertySet`
      Parameters:
        `propertySet` - Projection property set
      Returns:
        PropertySetProjection on given PropertySet

    - #### of

          static <P extends Property> PropertySetProjection of(Iterable<P> properties)

      Create a PropertySetProjection using given `properties`
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - Projection property set
      Returns:
        PropertySetProjection on given properties

Copyright © 2019 The Holon Platform. All rights reserved.